"use strict";
const common_vendor = require("../../../common/vendor.js");
const stores_permission = require("../../../stores/permission.js");
require("../../../utils/storage.js");
require("../../../utils/constant.js");
require("../../../utils/request.js");
require("../../../stores/user.js");
require("../../../utils/auth.js");
require("../../../config.js");
require("../../../utils/errorCode.js");
require("../../../utils/common.js");
if (!Array) {
  const _easycom_u_swiper2 = common_vendor.resolveComponent("u-swiper");
  const _easycom_xy_svg2 = common_vendor.resolveComponent("xy-svg");
  const _easycom_u_empty2 = common_vendor.resolveComponent("u-empty");
  (_easycom_u_swiper2 + _easycom_xy_svg2 + _easycom_u_empty2)();
}
const _easycom_u_swiper = () => "../../../node-modules/uview-plus/components/u-swiper/u-swiper.js";
const _easycom_xy_svg = () => "../../../components/xy-svg/xy-svg.js";
const _easycom_u_empty = () => "../../../node-modules/uview-plus/components/u-empty/u-empty.js";
if (!Math) {
  (_easycom_u_swiper + _easycom_xy_svg + _easycom_u_empty)();
}
const _sfc_main = {
  __name: "account",
  setup(__props) {
    const {
      proxy
    } = common_vendor.getCurrentInstance();
    const {
      mqtt_cmd_templet_task
    } = proxy.$useDict("mqtt_cmd_templet_task");
    common_vendor.onMounted(() => {
      console.log("商户运营", mqtt_cmd_templet_task);
    });
    const list1 = common_vendor.ref([
      "https://cdn.uviewui.com/uview/swiper/swiper1.png",
      "https://cdn.uviewui.com/uview/swiper/swiper2.png",
      "https://cdn.uviewui.com/uview/swiper/swiper3.png"
    ]);
    const menu = common_vendor.ref(stores_permission.usePermissionStore().permissions_menu);
    const list = common_vendor.computed(() => {
      let tempList = [];
      if (menu.value.find((i) => i.meta.title == "商户运营")) {
        tempList = menu.value.find((i) => i.meta.title == "商户运营").children;
      }
      return tempList;
    });
    function clickMenu(item) {
      console.log("888********", `/pages${item.path}`);
      proxy.$tab.navigateTo(`/pages${item.path}`);
    }
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          list: list1.value
        }),
        b: common_vendor.unref(list) && common_vendor.unref(list).length > 0
      }, common_vendor.unref(list) && common_vendor.unref(list).length > 0 ? {
        c: common_vendor.f(common_vendor.unref(list), (item, k0, i0) => {
          return common_vendor.e({
            a: item.type == 1
          }, item.type == 1 ? {
            b: common_vendor.t(item.meta.title),
            c: common_vendor.f(item.children, (item1, k1, i1) => {
              return {
                a: "322a445a-1-" + i0 + "-" + i1,
                b: common_vendor.p({
                  width: "60",
                  height: "60",
                  url: `https://cdn.ossfile.mxrvending.com/assets/xy_mana_mini/images/icons/svg/${item1.meta.icon}.svg`
                }),
                c: common_vendor.t(item1.meta.title),
                d: common_vendor.o(($event) => clickMenu(item1), item1.id),
                e: item1.id
              };
            })
          } : {}, {
            d: item.type == 2
          }, item.type == 2 ? {
            e: "322a445a-2-" + i0,
            f: common_vendor.p({
              width: "60",
              height: "60",
              url: `https://cdn.ossfile.mxrvending.com/assets/xy_mana_mini/images/icons/svg/${item.meta.icon}.svg`
            }),
            g: common_vendor.t(item.meta.title),
            h: common_vendor.o(($event) => clickMenu(item), item.id)
          } : {}, {
            i: item.id
          });
        })
      } : {});
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-322a445a"], ["__file", "F:/兴元/开门柜项目/平台端管理系统小程序/src/pages/globalPages/components/account.vue"]]);
wx.createComponent(Component);
